Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # layout Struct Template Reference [Models] `#include <utilities.hpp>` List of all members. ## Detailed Description ### template<typename ColorSpace, typename ChannelMapping = mpl::range_c<int,0,mpl::size<ColorSpace>::value>> struct boost::gil::layout< ColorSpace, ChannelMapping > Represents a color space and ordering of channels in memory.
## Public Types
typedef ColorSpace | color_space_t
typedef ChannelMapping | channel_mapping_t
The documentation for this struct was generated from the following file: utilities.hpp